org.eclipse.jetty.continuation

## Class ContinuationThrowable

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Error
    - - org.eclipse.jetty.continuation.ContinuationThrowable

All Implemented Interfaces:
  Serializable

    public class ContinuationThrowable
    extends Error

ContinuationThrowable

A ContinuationThrowable is throw by `Continuation.undispatch()` in order to exit the dispatch to a Filter or Servlet. Use of ContinuationThrowable is discouraged and it is preferable to allow return to be used. ContinuationThrowables should only be used when there is a Filter/Servlet which cannot be modified to avoid committing a response when `Continuation.isSuspended()` is true.

ContinuationThrowable instances are often reused so that the stack trace may be entirely unrelated to the calling stack. A real stack trace may be obtained by enabling debug.

ContinuationThrowable extends Error as this is more likely to be uncaught (or rethrown) by a Filter/Servlet. A ContinuationThrowable does not represent and error condition.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ContinuationThrowable()`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ContinuationThrowable

    public ContinuationThrowable()